---
title: "Request Pack lots"
description: "Active Request Pack remaining balance and expiration live on GET /api/dashboard/credits"
url: "https://blockreq.com/docs/build/api-reference/blockreq/blockreq-packageexpiration/"
---

# Request Pack lots

## Description

Request Pack remaining Requests and expiration are fields on `GET /api/dashboard/credits` (`creditState` lots). There is no separate JSON-RPC package method and no chain-RPC host.

See [Request and wallet balances](https://blockreq.com/docs/build/api-reference/blockreq/blockreq-walletbalance/index.md).

## Code

**cURL**

```bash
curl -H "Authorization: Bearer akv1_YOUR_MANAGEMENT_API_KEY" \
  https://blockreq.com/api/dashboard/credits
```

**JavaScript**

```javascript
const response = await fetch("https://blockreq.com/api/dashboard/credits", {
  headers: { Authorization: "Bearer akv1_YOUR_MANAGEMENT_API_KEY" },
});
const lots = response.ok ? (await response.json()).data.creditState : null;
console.log(lots);
```

## Try It

`GET https://blockreq.com/api/dashboard/credits`
